Bug 1009850 - [abrt] libreoffice-core-4.1.1.2-4.fc19 Font Cache handling is broken
[abrt] libreoffice-core-4.1.1.2-4.fc19 Font Cache handling is broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:df5995f1082cfe2d1595785beac...
:
: 1013251 1020323 1036932 1037856 1038249 1055116 1078603 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 06:08 EDT by Allan Engelhardt
Modified: 2015-01-13 15:47 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 15:47:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.33 KB, text/plain)
2013-09-19 06:08 EDT, Allan Engelhardt
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-19 06:08 EDT, Allan Engelhardt
no flags Details
File: core_backtrace (53.36 KB, text/plain)
2013-09-19 06:08 EDT, Allan Engelhardt
no flags Details
File: dso_list (24.24 KB, text/plain)
2013-09-19 06:08 EDT, Allan Engelhardt
no flags Details
File: environ (3.94 KB, text/plain)
2013-09-19 06:08 EDT, Allan Engelhardt
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 06:09 EDT, Allan Engelhardt
no flags Details
File: maps (148.98 KB, text/plain)
2013-09-19 06:09 EDT, Allan Engelhardt
no flags Details
File: open_fds (793 bytes, text/plain)
2013-09-19 06:09 EDT, Allan Engelhardt
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-09-19 06:09 EDT, Allan Engelhardt
no flags Details
File: var_log_messages (6.27 KB, text/plain)
2013-09-19 06:09 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2013-09-19 06:08:35 EDT
Version-Release number of selected component:
libreoffice-core-4.1.1.2-4.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: _hb_ot_layout_destroy
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            2000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _hb_ot_layout_destroy at hb-ot-layout.cc:95
 #6 hb_face_destroy at hb-shaper-list.hh:39
 #7 ~HbLayoutEngine at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/gcach_layout.cxx:353
 #8 HbLayoutEngine::~HbLayoutEngine at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/gcach_layout.cxx:354
 #9 ServerFont::~ServerFont at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/gcach_ftyp.cxx:891
 #11 GlyphCache::GarbageCollect at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/glyphcache.cxx:291
 #12 GlyphCache::GrowNotify at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/glyphcache.cxx:314
 #13 AddedGlyph at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/glyphcache.cxx:307
 #14 ServerFont::GetGlyphData at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/glyphcache.cxx:359
 #15 GetGlyphMetric at /usr/src/debug/libreoffice-4.1.1.2/vcl/inc/generic/glyphcache.hxx:209
Comment 1 Allan Engelhardt 2013-09-19 06:08:41 EDT
Created attachment 799821 [details]
File: backtrace
Comment 2 Allan Engelhardt 2013-09-19 06:08:45 EDT
Created attachment 799822 [details]
File: cgroup
Comment 3 Allan Engelhardt 2013-09-19 06:08:49 EDT
Created attachment 799823 [details]
File: core_backtrace
Comment 4 Allan Engelhardt 2013-09-19 06:08:52 EDT
Created attachment 799824 [details]
File: dso_list
Comment 5 Allan Engelhardt 2013-09-19 06:08:57 EDT
Created attachment 799825 [details]
File: environ
Comment 6 Allan Engelhardt 2013-09-19 06:09:09 EDT
Created attachment 799826 [details]
File: limits
Comment 7 Allan Engelhardt 2013-09-19 06:09:14 EDT
Created attachment 799827 [details]
File: maps
Comment 8 Allan Engelhardt 2013-09-19 06:09:18 EDT
Created attachment 799828 [details]
File: open_fds
Comment 9 Allan Engelhardt 2013-09-19 06:09:22 EDT
Created attachment 799829 [details]
File: proc_pid_status
Comment 10 Allan Engelhardt 2013-09-19 06:09:26 EDT
Created attachment 799830 [details]
File: var_log_messages
Comment 11 Caolan McNamara 2013-10-08 07:19:00 EDT
*** Bug 1013251 has been marked as a duplicate of this bug. ***
Comment 12 Caolan McNamara 2013-10-17 12:02:56 EDT
*** Bug 1020323 has been marked as a duplicate of this bug. ***
Comment 13 Caolan McNamara 2013-12-04 06:50:09 EST
*** Bug 1037856 has been marked as a duplicate of this bug. ***
Comment 14 Caolan McNamara 2013-12-05 05:42:20 EST
*** Bug 1038249 has been marked as a duplicate of this bug. ***
Comment 15 Caolan McNamara 2013-12-06 10:27:36 EST
*** Bug 1036932 has been marked as a duplicate of this bug. ***
Comment 16 Caolan McNamara 2014-01-22 09:05:27 EST
*** Bug 1055116 has been marked as a duplicate of this bug. ***
Comment 17 Caolan McNamara 2014-03-20 09:59:41 EDT
*** Bug 1078603 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2015-01-09 14:53:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Caolan McNamara 2015-01-13 15:47:08 EST
I think dtardon might have fixed this in the 4-2 series. Seems to have gone away I think.

Note You need to log in before you can comment on or make changes to this bug.